# verb [![NPM version](https://badge.fury.io/js/verb.svg)](http://badge.fury.io/js/verb)  [![Build Status](https://travis-ci.org/assemble/verb.svg)](https://travis-ci.org/assemble/verb) 

> Documentation generator for GitHub projects. Extremely powerful, easy to use, can generate anything from API docs to a readme, for projects big or small.

Verb is the most powerful, extensible and easy-to-use documentation generator for node.js. 

**Heads up!**

As of v0.4.0, Verb now requires [verb-cli] to run. See the [getting started](#getting-started) section for details.

## Why use Verb?
It's magical and smells like chocolate. If that's not enough for you, it's also the most powerful and easy-to-use documentation generator for node.js. And it's magical.

**Features**

- Generate markdown docs, or HTML
- Generate a Table of Contents simply by adding `<!-- toc -->` to any document.
- Include templates from locally installed npm packages with the `{%= include() %}` helper
- Include templates from your project's `docs/` directory with the `{%= docs() %}` helper
- Change the templates directory for either helper by passing a `cwd` to the helper: example: `{%= docs("foo", {cwd: ''}) %}`


- Generate API docs from code comments (this couldn't be easier!)
- Add a [.verb.md](#verbmd) markdown template to your project, and verb will build your readme using data from package.json.
- If you need more, create a [verbfile.js](#verbfile.js)! Verb can complex documentation too, including multi-page TOCs, cross-reference links, auto-generated links to dependencies and so on.
- Verb can run any [gulp](https://github.com/gulpjs/gulp) plugin
- Verb is built on top of [Template](https://github.com/jonschlinkert/template). All of Template's methods are exposed on the API.
- You can get by with a simple `.verb.md` markdown template, or do things like add layouts, pages, partials, helpers, register a template engine, load data or use a `.transform()` or two to modify that data at runtime.


## Install with [npm](npmjs.org)

```bash
npm i verb --save
```

## Usage

```js
var verb = require('verb');
```

## Running tests
Install dev dependencies:

```bash
npm i -d && npm test
```

## Contributing
Pull requests and stars are always welcome. For bugs and feature requests, [please create an issue](https://github.com/assemble/verb/issues)

## Author
**Jon Schlinkert**

[github/jonschlinkert](https://github.com/jonschlinkert)
[twitter/jonschlinkert](http://twitter.com/jonschlinkert)

## License
Copyright (c) 2014-2015 Jon Schlinkert
Released under the MIT license.

***

_This file was generated by [verb-cli](https://github.com/assemble/verb-cli) on April 23, 2015._

[verb-cli]: https://github.com/verbose/verb-cli
<!-- deps:mocha jshint-stylish lodash swig template -->


<!-- reflinks generated by verb-reflinks plugin -->

[verb]: https://github.com/assemble/verb
[template]: https://github.com/jonschlinkert/template
[assemble]: http://assemble.io