'use strict';

/**
 * Define default options.
 */

module.exports = function options_(verb) {
  verb.option({
    toc: {append: '\n\n_(Table of contents generated by [verb])_'}
  });

  // engines
  verb.option('view engine', 'md');

  // routing
  verb.option('router methods', ['onInit', 'onRender']);
  verb.enable('case sensitive routing');
  verb.enable('strict routing');

  // delimiters
  verb.option('layoutDelims', ['<<%', '%>>']);
  verb.option('escapeDelims', {
    from: ['{%%', '%}'],
    to: ['{%', '%}']
  });
};
